Subject: Re: linux-next: manual merge of the target-updates tree with Linus' tree

From: "Nicholas A. Bellinger" <[email-masked]>
Date: Mon, 01 Jun 2015 04:31:00 -0700

Hi Stephen,

On Mon, 2015-06-01 at 20:48 +1000, Stephen Rothwell wrote:
> Hi Nicholas,
> 
> Today's linux-next merge of the target-updates tree got a conflict in
> drivers/target/target_core_configfs.c between commit d588cf8f618d
> ("target: Fix se_tpg_tfo->tf_subsys regression + remove tf_subsystem")
> from Linus' tree and commits c6eec4d58f5d ("target: remove tf_subsystem
> pointers") and 93af633991fd ("target: don't copy fabric ops") and
> f0eb815f8a53 ("target: put struct target_fabric_configfs on a diet")
> from the target-updates tree.
> 
> I fixed it up (the first of the target-updates tree patches is a subset
> of the patch in Linus' tree - see the result below) and can carry the
> fix as necessary (no action is required).
> 

Fixed in this morning's push to target-pending/for-next, using v4.1-rc6
updates in target-pending/master -> mainline as the updated for-next
base.

Thank you,

--nab